📞 1-800-RFPARTS (1-800-737-2787)
📞 1-760-744-0700 (USA)
✉ ORDERS: rfp@rfparts.com
📍 435 S PACIFIC ST SAN MARCOS, CA 92078
Not finding what you are searching for? Try a partial part number.

High Voltage RF

Please choose from the following High Voltage RF CHOKE / INDUCTOR Sub-Category choices:

Grid
per page
🔽
Z-144 Ohmite RF Choke 1.8 uh 1100 ma
Z-144 Ohmite RF Choke 1.8 uh 1100 ma
$8.95

In Stock

Z-144 Ohmite RF Choke 1.8 uh 1100 ma 

MFR: Ohmite
SKU: Z144

View Product
RFC800 H.V. RF Choke, 90 uh 800 ma, KE Electronics
RFC800 H.V. RF Choke, 90 uh 800 ma, KE Electronics
$35.00

Out of Stock

High-voltage RF Choke, 90 uh 800 mA 4 kV max

  • Q: 160 minimum at 3.5 MHz
  • Length: 6 inches
  • Diameter: 0.75 inches

MFR: KE Electronics

SKU: RFC800

New Old Stock

View Product
1521 Hammond RF Choke 90uh 1 amp (Pull)
1521 Hammond RF Choke 90uh 1 amp (Pull)
$39.90

In Stock

Size: 5.375" Long x 1.08" Diameter

Used
MFR: Hammond MFR
SKU: RFC1521-P

View Product
RFC1518 RF Choke, 0.1mh (100uh) /.75a , Hammond
RFC1518 RF Choke, 0.1mh (100uh) /.75a , Hammond
$38.91

In Stock

RF Choke 0.1mh (100uh) /.75a 1.2 ohms,

MFR: Hammond  

No longer available for Export

SKU: RFC1518

View Product

Items 21 to 24 of 24 total